unit Unit1;
////////////////////////////////////////////////////////////////////////
//  Copyright (c) 1995-97 HREF Tools Corp.  All Rights Reserved.      //
//  This source is a part of the WebHub(tm) Component Package.        //
//  You may not redistribute this file unless you redistribute the    //
//  entire WebHub(tm) Trial Package. The full license is on the web.  //
//  http://www.href.com/webhub/  http://www.href.com/techsupport.html //
////////////////////////////////////////////////////////////////////////

//This is an example unit that was inherited from
//TutParentForm through File|New|<Project>|TutParentForm
//For inheritance to work, your uses clause must include
//the units to be inherited from.

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  UTPANFRM, ExtCtrls, StdCtrls, TpLabel, Toolbar, TpMenu, UpdateOk,
  tpAction, IniLink, WebIniFL, TpMemo, Restorer, ComCtrls, tpStatus,
  WebTypes, WebLink;

type
  TfmAppCustomPanel = class(TutParentForm)
    ToolBar: TtpToolBar;
    dm: TtpDataModule;
    ini: TWebIniFileLink;
    Panel: TPanel;
    Splitter: TPanel;
    Memo: TtpMemo;
    SPEEDTESTEXECU: TWebAction;
    tpStatusBar1: TtpStatusBar;
    procedure SplitterMouseDown(Sender:TObject;Button:TMouseButton;Shift:TShiftState;X,Y:Integer);
    procedure SPEEDTESTEXECUExecute(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    function Init: Boolean; override;
    procedure Save(Restorer:TFormRestorer); override;
    procedure Load(Restorer:TFormRestorer); override;
    end;

var
  fmAppCustomPanel: TfmAppCustomPanel;

implementation

{$R *.DFM}

uses
  WebApp, WebInfou, utSpltfm;

//------------------------------------------------------------------------------

function TfmAppCustomPanel.Init:Boolean;
begin
  Result:= inherited Init;
  if not result then
    exit;
//note.. keep STATUSBAR OFF for webaction components on this form.
//usually place 'extra' webaction components into datamodules or
//directly on the main form of the application.
//use the panels like subroutines and ADD PUBLIC VARIABLES TO THEIR
//Forms and set the pointers from the app's DPRs should that be required.
//again.. use a indirect pointer to get to global components from here.
//freely add components and code to the main-form or through datamodules.
//  WebListGrid.WebApp:=WebApp;
//  WebMailForm.WebApp:=WebApp;
end;

//------------------------------------------------------------------------------

procedure TfmAppCustomPanel.SplitterMouseDown(Sender:TObject;Button:TMouseButton;Shift:TShiftState;X,Y:Integer);
//This controls the splitter.
//Tap into OnEndDrag to make adjustments when the user is done.
//do NOT call inherited here.
begin
  if pa.parent.owner is TtpSplitterForm then
  with TtpSplitterForm(pa.parent.owner) do begin
    SplitterControl:=Memo;
    SplitterMouseDown(Sender,Button,Shift,X,Y);
    end;
end;

//------------------------------------------------------------------------------

procedure TfmAppCustomPanel.Save(Restorer:TFormRestorer);
//example OnSave Handler
begin
  inherited Save(Restorer);
  with Restorer.IniFileLink do begin
    LongintEntry['Panel']:= Panel.Width;
    //    BooleanEntry['xyz']:=   button.Down;
    end;
end;

procedure TfmAppCustomPanel.Load(Restorer:TFormRestorer);
//example OnLoad Handler
begin
  inherited Load(Restorer);
  with Restorer.IniFileLink do begin
    LongintEntry['Panel']:= Panel.Width;
    //    Button.Down:= BooleanEntry['xyz'];
    end;
end;

//------------------------------------------------------------------------------
procedure TfmAppCustomPanel.SPEEDTESTEXECUExecute(Sender: TObject);
begin
  inherited;

  with TWebAction( Sender).WebOutput do
   Send( 'TESTEXECU');
end;

end.
